# Hospital Emergency Code Reporter

A web application that allows hospital staff to report emergency codes and makes audible announcements.

## Features

- Form to report emergency codes (Code Red, Code Blue, etc.)
- Location selection
- Voice announcement with attention sound
- Data logging capability (simulation)
- Responsive design for all devices

## Installation

These are static files that can be deployed to any web hosting service. Simply upload all the files to your web server.

### Files to Upload

1. `index.html` - The main HTML file
2. `app.js` - The React application code

## Browser Requirements

This application uses the following browser APIs:
- Web Speech API (SpeechSynthesis)
- Web Audio API
- ES6+ JavaScript features

Modern browsers like Chrome, Firefox, Edge, and Safari should support these features.

## Development

The application is built with:
- React (loaded via CDN)
- Tailwind CSS (loaded via CDN)
- Babel for JSX transformation (loaded via CDN)

## Usage

1. Select an emergency code type
2. Choose the location where the emergency is occurring
3. Enter your name in the "Reported By" field
4. Optionally add additional details
5. Click "REPORT EMERGENCY CODE"

Upon submission, the system will:
1. Log the emergency (simulated)
2. Play an attention sound
3. Announce the emergency code using speech synthesis
4. Display a success message

## Customization

To customize the available emergency codes or locations, edit the corresponding arrays in the `app.js` file.

## Disclaimer

This is a demonstration application. For actual emergencies, please follow established hospital protocols and use designated emergency systems.