<!-- Replace the current text navigation with this code -->
<header class="bg-red-600 text-white p-4 shadow-md">
  <div class="container mx-auto flex justify-between items-center">
    <h1 class="text-xl font-bold">Hospital Emergency Code Reporter</h1>
    
    <!-- Mobile menu button (hamburger) -->
    <button id="mobile-menu-button" class="md:hidden flex items-center">
      <svg class="w-6 h-6" fill="none" stroke="currentColor" viewBox="0 0 24 24" xmlns="http://www.w3.org/2000/svg">
        <path stroke-linecap="round" stroke-linejoin="round" stroke-width="2" d="M4 6h16M4 12h16M4 18h16"></path>
      </svg>
    </button>
    
    <!-- Desktop navigation - hidden on mobile -->
    <div class="hidden md:flex items-center space-x-4">
      <a href="my-reports.php" class="bg-red-700 text-white py-1 px-3 rounded text-sm hover:bg-red-800">My Reports</a>
      <a href="get-reports.php" class="bg-red-700 text-white py-1 px-3 rounded text-sm hover:bg-red-800">All Reports</a>
      <a href="manage-locations.php" class="bg-red-700 text-white py-1 px-3 rounded text-sm hover:bg-red-800">Manage Locations</a>
      <span class="text-sm">Welcome, <?php echo htmlspecialchars($fullname); ?></span>
      <a href="logout-script.php" class="bg-white text-red-600 py-1 px-3 rounded text-sm hover:bg-gray-100">Logout</a>
    </div>
  </div>
  
  <!-- Mobile navigation menu - hidden by default -->
  <div id="mobile-menu" class="hidden mt-4 md:hidden">
    <div class="flex flex-col space-y-2">
      <a href="index.php" class="flex items-center py-2 px-3 rounded text-white bg-red-700 hover:bg-red-800">
        <svg class="w-5 h-5 mr-2" fill="none" stroke="currentColor" viewBox="0 0 24 24" xmlns="http://www.w3.org/2000/svg">
          <path stroke-linecap="round" stroke-linejoin="round" stroke-width="2" d="M3 12l2-2m0 0l7-7 7 7M5 10v10a1 1 0 001 1h3m10-11l2 2m-2-2v10a1 1 0 01-1 1h-3m-6 0a1 1 0 001-1v-4a1 1 0 011-1h2a1 1 0 011 1v4a1 1 0 001 1m-6 0h6"></path>
        </svg>
        Home
      </a>
      <a href="my-reports.php" class="flex items-center py-2 px-3 rounded text-white bg-red-700 hover:bg-red-800">
        <svg class="w-5 h-5 mr-2" fill="none" stroke="currentColor" viewBox="0 0 24 24" xmlns="http://www.w3.org/2000/svg">
          <path stroke-linecap="round" stroke-linejoin="round" stroke-width="2" d="M9 5H7a2 2 0 00-2 2v12a2 2 0 002 2h10a2 2 0 002-2V7a2 2 0 00-2-2h-2M9 5a2 2 0 002 2h2a2 2 0 002-2M9 5a2 2 0 012-2h2a2 2 0 012 2"></path>
        </svg>
        My Reports
      </a>
      <a href="get-reports.php" class="flex items-center py-2 px-3 rounded text-white bg-red-700 hover:bg-red-800">
        <svg class="w-5 h-5 mr-2" fill="none" stroke="currentColor" viewBox="0 0 24 24" xmlns="http://www.w3.org/2000/svg">
          <path stroke-linecap="round" stroke-linejoin="round" stroke-width="2" d="M9 17v-2m3 2v-4m3 4v-6m2 10H7a2 2 0 01-2-2V5a2 2 0 012-2h5.586a1 1 0 01.707.293l5.414 5.414a1 1 0 01.293.707V19a2 2 0 01-2 2z"></path>
        </svg>
        All Reports
      </a>
      <a href="manage-locations.php" class="flex items-center py-2 px-3 rounded text-white bg-red-700 hover:bg-red-800">
        <svg class="w-5 h-5 mr-2" fill="none" stroke="currentColor" viewBox="0 0 24 24" xmlns="http://www.w3.org/2000/svg">
          <path stroke-linecap="round" stroke-linejoin="round" stroke-width="2" d="M17.657 16.657L13.414 20.9a1.998 1.998 0 01-2.827 0l-4.244-4.243a8 8 0 1111.314 0z"></path>
          <path stroke-linecap="round" stroke-linejoin="round" stroke-width="2" d="M15 11a3 3 0 11-6 0 3 3 0 016 0z"></path>
        </svg>
        Manage Locations
      </a>
      <a href="logout-script.php" class="flex items-center py-2 px-3 rounded text-red-600 bg-white hover:bg-gray-100">
        <svg class="w-5 h-5 mr-2" fill="none" stroke="currentColor" viewBox="0 0 24 24" xmlns="http://www.w3.org/2000/svg">
          <path stroke-linecap="round" stroke-linejoin="round" stroke-width="2" d="M17 16l4-4m0 0l-4-4m4 4H7m6 4v1a3 3 0 01-3 3H6a3 3 0 01-3-3V7a3 3 0 013-3h4a3 3 0 013 3v1"></path>
        </svg>
        Logout
      </a>
    </div>
  </div>
</header>