  <script>
        // Show reset password modal
        function showResetPassword(userId, username) {
            document.getElementById('reset_user_id').value = userId;
            document.getElementById('reset_username').textContent = username;
            document.getElementById('resetPasswordModal').classList.remove('hidden');
        }
        
        // Hide reset password modal
        function hideResetPassword() {
            document.getElementById('resetPasswordModal').classList.add('hidden');
        }
        
        // Show edit user modal
        function showEditUser(userId, username, fullname, email, role) {
            document.getElementById('edit_user_id').value = userId;
            document.getElementById('edit_username').value = username;
            document.getElementById('edit_fullname').value = fullname;
            document.getElementById('edit_email').value = email;
            document.getElementById('edit_role').value = role;
            document.getElementById('editUserModal').classList.remove('hidden');
        }
        
        // Hide edit user modal
        function hideEditUser() {
            document.getElementById('editUserModal').classList.add('hidden');
        }
        
        // Improve form submission with AJAX
        document.addEventListener('DOMContentLoaded', function() {
            // Handle toggle status forms
            const toggleStatusButtons = document.querySelectorAll('.toggle-status-btn');
            toggleStatusButtons.forEach(button => {
                button.addEventListener('click', function(e) {
                    e.preventDefault();
                    const userId = this.getAttribute('data-user-id');
                    const currentStatus = parseInt(this.getAttribute('data-current-status'));
                    const newStatus = currentStatus ? 0 : 1;
                    const form = document.getElementById(`toggle-status-form-${userId}`);
                    
                    // Create FormData object
                    const formData = new FormData(form);
                    
                    // Send AJAX request
                    fetch(form.action, {
                        method: 'POST',
                        body: formData
                    })
                    .then(response => response.text())
                    .then(html => {
                        // Update button text and data attribute
                        this.textContent = newStatus ? 'Deactivate' : 'Activate';
                        this.setAttribute('data-current-status', newStatus);
                        
                        // Update button class
                        if (newStatus) {
                            this.classList.remove('text-green-600', 'hover:text-green-900');
                            this.classList.add('text-red-600', 'hover:text-red-900');
                        } else {
                            this.classList.remove('text-red-600', 'hover:text-red-900');
                            this.classList.add('text-green-600', 'hover:text-green-900');
                        }
                        
                        // Update form hidden input for next toggle
                        form.querySelector('input[name="new_status"]').value = newStatus ? 0 : 1;
                        
                        // Show success message
                        const messageContainer = document.getElementById('message-container');
                        messageContainer.innerHTML = `
                            <div class="bg-green-100 border-l-4 border-green-500 text-green-700 p-4 mb-4" role="alert">
                                <p>User ${newStatus ? 'activated' : 'deactivated'} successfully.</p>
                            </div>
                        `;
                        
                        // Auto-hide message after 3 seconds
                        setTimeout(() => {
                            messageContainer.innerHTML = '';
                        }, 3000);
                    })
                    .catch(error => {
                        console.error('Error:', error);
                        
                        // Show error message
                        const messageContainer = document.getElementById('message-container');
                        messageContainer.innerHTML = `
                            <div class="bg-red-100 border-l-4 border-red-500 text-red-700 p-4 mb-4" role="alert">
                                <p>Error updating user status: ${error.message}</p>
                            </div>
                        `;
                    });
                });
            });
            
            // Handle reset password form submission
            const resetPasswordForm = document.getElementById('reset-password-form');
            if (resetPasswordForm) {
                resetPasswordForm.addEventListener('submit', function(e) {
                    e.preventDefault();
                    
                    // Create FormData object
                    const formData = new FormData(this);
                    
                    // Send AJAX request
                    fetch(this.action, {
                        method: 'POST',
                        body: formData
                    })
                    .then(response => response.text())
                    .then(html => {
                        // Hide the modal
                        hideResetPassword();
                        
                        // Show success message
                        const messageContainer = document.getElementById('message-container');
                        messageContainer.innerHTML = `
                            <div class="bg-green-100 border-l-4 border-green-500 text-green-700 p-4 mb-4" role="alert">
                                <p>Password reset successfully.</p>
                            </div>
                        `;
                        
                        // Auto-hide message after 3 seconds
                        setTimeout(() => {
                            messageContainer.innerHTML = '';
                        }, 3000);
                    })
                    .catch(error => {
                        console.error('Error:', error);
                        
                        // Show error message
                        const messageContainer = document.getElementById('message-container');
                        messageContainer.innerHTML = `
                            <div class="bg-red-100 border-l-4 border-red-500 text-red-700 p-4 mb-4" role="alert">
                                <p>Error resetting password: ${error.message}</p>
                            </div>
                        `;
                    });
                });
            }
            
            // Handle edit user form submission
            const editUserForm = document.getElementById('edit-user-form');
            if (editUserForm) {
                editUserForm.addEventListener('submit', function(e) {
                    e.preventDefault();
                    
                    // Create FormData object
                    const formData = new FormData(this);
                    
                    // Send AJAX request
                    fetch(this.action, {
                        method: 'POST',
                        body: formData
                    })
                    .then(response => response.text())
                    .then(html => {
                        // Get values from form
                        const userId = document.getElementById('edit_user_id').value;
                        const username = document.getElementById('edit_username').value;
                        const fullname = document.getElementById('edit_fullname').value;
                        const email = document.getElementById('edit_email').value;
                        const role = document.getElementById('edit_role').value;
                        
                        // Update row in the table
                        const userRow = document.querySelector(`tr[data-user-id="${userId}"]`);
                        if (userRow) {
                            userRow.querySelector('td:nth-child(1)').textContent = username;
                            userRow.querySelector('td:nth-child(2)').textContent = fullname;
                            userRow.querySelector('td:nth-child(3)').textContent = email || 'N/A';
                            
                            // Update role badge
                            const roleBadge = userRow.querySelector('td:nth-child(4) span');
                            if (roleBadge) {
                                roleBadge.textContent = role.charAt(0).toUpperCase() + role.slice(1);
                                
                                if (role === 'admin') {
                                    roleBadge.classList.remove('bg-green-100', 'text-green-800');
                                    roleBadge.classList.add('bg-purple-100', 'text-purple-800');
                                } else {
                                    roleBadge.classList.remove('bg-purple-100', 'text-purple-800');
                                    roleBadge.classList.add('bg-green-100', 'text-green-800');
                                }
                            }
                        }
                        
                        // Hide the modal
                        hideEditUser();
                        
                        // Show success message
                        const messageContainer = document.getElementById('message-container');
                        messageContainer.innerHTML = `
                            <div class="bg-green-100 border-l-4 border-green-500 text-green-700 p-4 mb-4" role="alert">
                                <p>User updated successfully.</p>
                            </div>
                        `;
                        
                        // Auto-hide message after 3 seconds
                        setTimeout(() => {
                            messageContainer.innerHTML = '';
                        }, 3000);
                    })
                    .catch(error => {
                        console.error('Error:', error);
                        
                        // Show error message
                        const messageContainer = document.getElementById('message-container');
                        messageContainer.innerHTML = `
                            <div class="bg-red-100 border-l-4 border-red-500 text-red-700 p-4 mb-4" role="alert">
                                <p>Error updating user: ${error.message}</p>
                            </div>
                        `;
                    });
                });
            }
            
            // Handle create user form submission
            const createUserForm = document.getElementById('create-user-form');
            if (createUserForm) {
                createUserForm.addEventListener('submit', function(e) {
                    e.preventDefault();
                    
                    // Create FormData object
                    const formData = new FormData(this);
                    
                    // Send AJAX request
                    fetch(this.action, {
                        method: 'POST',
                        body: formData
                    })
                    .then(response => response.text())
                    .then(html => {
                        // Parse the response to check if successful
                        const tempDiv = document.createElement('div');
                        tempDiv.innerHTML = html;
                        const successMessage = tempDiv.querySelector('.bg-green-100');
                        
                        if (successMessage) {
                            // Reset the form on success
                            createUserForm.reset();
                            
                            // Refresh the page to show the new user
                            window.location.reload();
                        } else {
                            // Get error message
                            const errorMessage = tempDiv.querySelector('.bg-red-100');
                            if (errorMessage) {
                                // Show error message
                                const messageContainer = document.getElementById('message-container');
                                messageContainer.innerHTML = errorMessage.outerHTML;
                            }
                        }
                    })
                    .catch(error => {
                        console.error('Error:', error);
                        
                        // Show error message
                        const messageContainer = document.getElementById('message-container');
                        messageContainer.innerHTML = `
                            <div class="bg-red-100 border-l-4 border-red-500 text-red-700 p-4 mb-4" role="alert">
                                <p>Error creating user: ${error.message}</p>
                            </div>
                        `;
                    });
                });
            }
        });
    </script>