<?php
session_start();
require_once '../db-connection.php';

header('Content-Type: application/json');

// Check if user is admin
if (!isset($_SESSION["loggedin"]) || $_SESSION["loggedin"] !== true || $_SESSION["role"] !== "admin") {
    echo json_encode(['success' => false, 'message' => 'Unauthorized access']);
    exit;
}

// Get form data
$user_id = $_POST["user_id"];
$new_password = $_POST["new_password"];

if (empty($user_id) || empty($new_password)) {
    echo json_encode(['success' => false, 'message' => 'User ID and new password are required']);
    exit;
}

try {
    $hashed_password = password_hash($new_password, PASSWORD_DEFAULT);
    
    $sql = "UPDATE users SET password = ? WHERE id = ?";
    $stmt = $pdo->prepare($sql);
    $stmt->execute([$hashed_password, $user_id]);
    
    echo json_encode(['success' => true, 'message' => 'Password reset successfully']);
} catch (PDOException $e) {
    echo json_encode(['success' => false, 'message' => 'Database error: ' . $e->getMessage()]);
}