<?php
session_start();
require_once '../db-connection.php';

header('Content-Type: application/json');

// Check if user is admin
if (!isset($_SESSION["loggedin"]) || $_SESSION["loggedin"] !== true || $_SESSION["role"] !== "admin") {
    echo json_encode(['success' => false, 'message' => 'Unauthorized access']);
    exit;
}

// Get JSON input
$data = json_decode(file_get_contents('php://input'), true);
$user_id = $data['user_id'] ?? null;
$new_status = $data['new_status'] ?? null;

if (empty($user_id) || $new_status === null) {
    echo json_encode(['success' => false, 'message' => 'Invalid request data']);
    exit;
}

// Prevent self-deactivation
if ($user_id == $_SESSION['user_id']) {
    echo json_encode(['success' => false, 'message' => 'You cannot change your own status']);
    exit;
}

try {
    $sql = "UPDATE users SET active = ? WHERE id = ?";
    $stmt = $pdo->prepare($sql);
    $stmt->execute([$new_status, $user_id]);
    
    echo json_encode(['success' => true, 'message' => 'User status updated successfully']);
} catch (PDOException $e) {
    echo json_encode(['success' => false, 'message' => 'Database error: ' . $e->getMessage()]);
}