<?php
require_once '../includes/auth-check.php';
require_once '../includes/db-connection.php';

$error_message = "";
$success_message = "";

if (!isset($_GET['id']) || empty($_GET['id'])) {
    echo "<script>window.location.href = 'user-manager.php';</script>";
    exit;
}

$user_id = (int)$_GET['id'];

if ($_SERVER["REQUEST_METHOD"] == "POST" && isset($_POST["update_user"])) {
    $fullname = trim($_POST["fullname"]);
    $email = trim($_POST["email"]);
    $role = trim($_POST["role"]);
    $emp_id = trim($_POST["emp_id"]);
    
    if (empty($fullname) || empty($role)) {
        $error_message = "Full name and role are required fields";
    } else {
        try {
            $sql = "UPDATE users SET fullname = ?, email = ?, role = ? WHERE id = ?";
            $stmt = $pdo->prepare($sql);
            $stmt->execute([$fullname, $email, $role, $user_id]);
            
            $success_message = "User details updated successfully";
            
            // Return to index with success message
            header("Location: ../index.php?id=$user_id&success=" . urlencode($success_message));
            exit;
        } catch (PDOException $e) {
            $error_message = "Database error: " . $e->getMessage();
            header("Location: ../index.php?id=$user_id&error=" . urlencode($error_message));
            exit;
        }
    }
}
?>