<?php
// check-session.php - Provides session information as JSON
// Disable any output buffering
if (ob_get_level()) ob_end_clean();

// Start the session
session_start();

// Set response headers
header('Content-Type: application/json');
header('Cache-Control: no-store, no-cache, must-revalidate, max-age=0');
header('Cache-Control: post-check=0, pre-check=0', false);
header('Pragma: no-cache');

// Check if user is logged in
if(isset($_SESSION["loggedin"]) && $_SESSION["loggedin"] === true) {
    echo json_encode([
        'loggedin' => true, 
        'username' => $_SESSION["username"] ?? '',
        'role' => $_SESSION["role"] ?? '',
        'fullname' => $_SESSION["fullname"] ?? '',
        'user_id' => $_SESSION["user_id"] ?? 0
    ]);
} else {
    echo json_encode(['loggedin' => false]);
}
exit; // Make sure no other output follows
?>