/**
 * Form Utilities Script
 * Contains utility functions and logging for the emergency report form
 */

// Log the user information to the console for debugging
console.log("User info:", userInfo);
console.log("Generated request ID:", currentRequestId);

// Log React and ReactDOM versions to help with debugging
console.log("React version:", React.version);
console.log("ReactDOM version:", ReactDOM.version);

// Basic checking function for the DOM ready state
function isDOMReady() {
  return document.readyState === 'complete' || document.readyState === 'interactive';
}

// Test function to check if React basics are working properly
function testReactBasics() {
  try {
    // Create a test div element
    var testDiv = document.createElement('div');
    
    // Try rendering a simple React element to it
    ReactDOM.render(
      React.createElement('span', null, 'React test'),
      testDiv
    );
    
    // If we got here, basic React functionality is working
    console.log("React basics test passed");
    return true;
  } catch (e) {
    console.error("React basics test failed:", e);
    return false;
  }
}

// Run the test when the DOM is ready
if (isDOMReady()) {
  testReactBasics();
} else {
  document.addEventListener('DOMContentLoaded', testReactBasics);
}