// Show reset password modal
function showResetPassword(userId, username) {
    document.getElementById('reset_user_id').value = userId;
    document.getElementById('reset_username').textContent = username;
    document.getElementById('resetPasswordModal').classList.remove('hidden');
}

// Hide reset password modal
function hideResetPassword() {
    document.getElementById('resetPasswordModal').classList.add('hidden');
}

// Toggle user status
function toggleUserStatus(userId, newStatus) {
    if (confirm('Are you sure you want to change this user\'s status?')) {
        fetch('api/toggle-status.php', {
            method: 'POST',
            headers: {
                'Content-Type': 'application/json',
            },
            body: JSON.stringify({
                user_id: userId,
                new_status: newStatus
            })
        })
        .then(response => response.json())
        .then(data => {
            if (data.success) {
                alert('User status updated successfully');
                window.location.reload();
            } else {
                alert('Error: ' + data.message);
            }
        })
        .catch(error => {
            console.error('Error:', error);
            alert('An error occurred while updating user status');
        });
    }
}

// Handle form submissions with fetch
document.addEventListener('DOMContentLoaded', function() {
    // Handle create user form submission
    const createUserForm = document.querySelector('form[action="api/create-user.php"]');
    if (createUserForm) {
        createUserForm.addEventListener('submit', function(e) {
            e.preventDefault();
            const formData = new FormData(this);
            
            fetch(this.action, {
                method: 'POST',
                body: formData
            })
            .then(response => response.json())
            .then(data => {
                if (data.success) {
                    alert('User created successfully');
                    window.location.reload();
                } else {
                    alert('Error: ' + data.message);
                }
            })
            .catch(error => {
                console.error('Error:', error);
                alert('An error occurred while creating user');
            });
        });
    }
    
    // Handle password reset form submission
    const resetPasswordForm = document.querySelector('form[action="api/reset-password.php"]');
    if (resetPasswordForm) {
        resetPasswordForm.addEventListener('submit', function(e) {
            e.preventDefault();
            const formData = new FormData(this);
            
            fetch(this.action, {
                method: 'POST',
                body: formData
            })
            .then(response => response.json())
            .then(data => {
                if (data.success) {
                    alert('Password reset successfully');
                    hideResetPassword();
                } else {
                    alert('Error: ' + data.message);
                }
            })
            .catch(error => {
                console.error('Error:', error);
                alert('An error occurred while resetting password');
            });
        });
    }
});