<?php
// Include database connection
require_once 'db-connection.php';

// Set default username and password for reset
$default_username = 'admin';
$default_password = 'password123';

// Hash the password
$hashed_password = password_hash($default_password, PASSWORD_DEFAULT);

try {
    // Check if user exists
    $check_sql = "SELECT id FROM users WHERE username = ?";
    $check_stmt = $pdo->prepare($check_sql);
    $check_stmt->execute([$default_username]);
    
    if ($check_stmt->rowCount() > 0) {
        // Update existing user
        $sql = "UPDATE users SET password = ? WHERE username = ?";
        $stmt = $pdo->prepare($sql);
        $stmt->execute([$hashed_password, $default_username]);
        echo "Password for user '{$default_username}' has been reset to '{$default_password}'.<br>";
    } else {
        // Create new admin user
        $sql = "INSERT INTO users (username, password, fullname, email, role) VALUES (?, ?, ?, ?, ?)";
        $stmt = $pdo->prepare($sql);
        $stmt->execute([
            $default_username, 
            $hashed_password, 
            'System Administrator',
            'admin@hospital.org',
            'admin'
        ]);
        echo "Created new admin user '{$default_username}' with password '{$default_password}'.<br>";
    }
    
    echo "<p>You can now <a href='login.php'>login</a> using these credentials.</p>";
    
} catch (PDOException $e) {
    echo "Error: " . $e->getMessage();
}
?>
