<?php
require_once 'db-connection.php';

try {
    // First verify a valid code exists
    $validCode = $pdo->query("SELECT code_value FROM emergency_codes LIMIT 1")->fetchColumn();
    
    if (!$validCode) {
        throw new Exception("No emergency codes exist in the database");
    }

    // Test insert with valid code
    $insertTest = $pdo->prepare("
        INSERT INTO code_reports 
        (code_id, location_id, reported_by, status) 
        VALUES (?, 'test-location', 'test-user', 'active')
    ");
    $insertTest->execute([$validCode]);
    
    echo json_encode(['success' => true, 'message' => 'Test passed using code: ' . $validCode]);
    
} catch (Exception $e) {
    http_response_code(500);
    echo json_encode([
        'success' => false,
        'error' => $e->getMessage(),
        'code' => $e->getCode()
    ]);
}